package com.alibaba.druid.sql.dialect.spark.ast.expr;

import com.alibaba.druid.sql.ast.SQLObject;
import com.alibaba.druid.sql.ast.SQLStatement;
import com.alibaba.druid.sql.dialect.spark.ast.SparkSqlExprImpl;
import com.alibaba.druid.sql.dialect.spark.visitor.SparkVisitor;
import java.util.List;

public class SparkWithExpr extends SparkSqlExprImpl {
   SQLStatement statement;

   public SQLStatement getStatement() {
      return this.statement;
   }

   public void setStatement(SQLStatement statement) {
      this.statement = statement;
   }

   public List<SQLObject> getChildren() {
      return null;
   }

   public void accept0(SparkVisitor v) {
      if (v.visit(this)) {
         this.acceptChild(v, this.statement);
      }

   }
}
